### Function

# Gtk.render_icon

#### Declaration [src]

    void
    gtk_render_icon (
      GtkStyleContext* context,
      cairo_t* cr,
      GdkTexture* texture,
      double x,
      double y
    )

#### Description [src]

Renders the icon in `texture` at the specified `x` and `y` coordinates.

This function will render the icon in `texture` at exactly its size, regardless of scaling factors, which may not be appropriate when drawing on displays with high pixel densities.

#### Parameters

`context` | `GtkStyleContext`
| a `GtkStyleContext`
| Ownership is not transferred to the callee
`cr` | `cairo_t*`
| a #cairo_t
| Ownership is not transferred to the callee
`texture` | `GdkTexture*`
| a `GdkTexture` containing the icon to draw
| Ownership is not transferred to the callee
`x` | `double`
| X position for the `texture`
`y` | `double`
| Y position for the `texture`